```@meta
CurrentModule = PhyloCoalSimulations
```

# PhyloCoalSimulations

[PhyloCoalSimulations](https://github.com/cecileane/PhyloCoalSimulations.jl)
is a [Julia](http://julialang.org) package to
simulate phylogenies under the coalescent.
It depends on [PhyloNetworks](https://github.com/crsl4/PhyloNetworks.jl)
for the phylogenetic data structures, and manipulation of phylogenies.

For a tutorial, see the manual:

```@contents
Pages = [
    "man/getting_started.md",
    "man/mapping_genetree_to_network.md",
    "man/converting_coal2generation_units.md",
    "man/correlated_inheritance.md",
    "man/more_examples.md",
]
Depth = 3
```

References:
upcoming

## functions

Most functions are internal (not exported).

```@index
```

```@autodocs
Modules = [PhyloCoalSimulations]
```
